#include <stdio.h>
#include <stdlib.h>

int main()
{
    char a,b;
    int c,d,x,i=0,j=1;
    char rez[1000];
    scanf("%c %c", &a,&b);
    scanf("%d %d", &c,&d);
    x=c+d;
    if (c==d) {
        for (i;i<x;i++) {

            for (j;j<x;j++) {
               printf("%c",a);
               printf("%c",b);
               i++;
               j++;
            }
        }


    }
    else {
        printf("nemoguce");
    }



}